Update AML Hit Review

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

Use this method to update the review status of specific AML hits from Watchlist checks. For example, you can mark a hit as a false positive, whitelist specific hits, attach notes to individual hits, and more.

You can obtain necessary data for the request from the Get AML case data.

🚧

Attention

The applicant must be in the Requires action (onHold) status for this endpoint to be called.

Request example

curl -X PATCH \
     'https://api.sumsub.com/resources/amlCases/67fcc2f55669f5f05c4e0eab/hits' \
     -H 'accept: application/json' \
     -H 'content-type: application/json' \
     -H 'X-App-Token: <your-app-token>' \
     -H 'X-App-Access-Sig: <your-signature>' \
     -H 'X-App-Access-Ts: <unix-timestamp>' \
     -d '{
            "hitReviews": [
              {
                "hitId": "QT06...",
                "matchStatus": "potential_match",
                "whitelisted": true,
                "note": "Actual personal information does not match exactly"
              },
              {
                "hitId": "XW42...",
                "matchStatus": "true_positive",
                "whitelisted": false
              }
            ]
          }'

Response explained

If the request is successfully sent and processed, you will get a response like the one of those below. It contains the number of updated hit reviews.

šŸ“˜

Note

The updated counter returns the number of hits actually updated. If no changes, the value will be 0.

// In this example, two hits have been updated.

{
  "updated": 2
}
// No changes occurred.

{
  "updated": 0
}

If the request fails, you will receive an HTTP response containing an error code along with a message explaining the error. For example:

{
  "code": 400,
  "correlationId": "07f789881eaf8c0bd05ce30903845f07",
  "errorCode": 0,
  "description": "Invalid id 'XXXXXXXXXX'"
}

Path Params
string
required

Unique AML case identifier that is used to update AML hits.

ā“˜ To get this identifier, use the following method.

Body Params
hitReviews
array of objects

Each object represents a specific AML hit from Watchlist checks, along with the parameters to update.

hitReviews
Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here!